Loading...
Searching...
No Matches
DbDataProvider::DbDataProviderFactory Class Reference

The DB data provider factory. More...

`#include <DbDataProviderFactory.qc.dox.h>`

Inherits AbstractDataProviderFactory.

## Protected Member Functions

Class | getClassImpl ()
| Returns the class for the data provider object.
hash< DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info. More...
hash< DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information. More...

## Protected Attributes

const | FactoryInfo
| Factory info.

## Static Protected Attributes

static Class | cls = new Class("DbDataProvider")
| Data provider type info.

## Detailed Description

The DB data provider factory.

## Member Function Documentation

## getInfoImpl()

hash< DataProviderFactoryInfo > DbDataProvider::DbDataProviderFactory::getInfoImpl | ( |  | ) |

protected

Returns static factory information without provider_info.

Returns
  static factory information without provider_info which is provided by getProviderInfo()

## getProviderInfoImpl()

hash< DataProviderInfo > DbDataProvider::DbDataProviderFactory::getProviderInfoImpl | ( |  | ) |

protected

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes